<?php
// $Id$

/**
 * @file
 * Convio API page callbacks.
 */


/**
 * Provides admin settings form.
 */
function convio_api_admin_form() {
  $form = array();

  $form['account'] = array(
    '#type' => 'fieldset',
    '#title' => 'Convio Account',
  );
  $form['account']['convio_api_endpoint'] = array(
    '#type' => 'textfield',
    '#title' => 'API servlet URL',
    '#required' => true,
    '#default_value' => variable_get('convio_api_endpoint', ''),
    '#description' => 'API end point. (Ex: https://secure2.convio.net/organization/site/SRConsAPI)  See http://open.convio.com/api/apidoc/general/api_all.html',
  );
  $form['account']['convio_api_user'] = array(
    '#type' => 'textfield',
    '#title' => 'API username',
    '#required' => true,
    '#default_value' => variable_get('convio_api_user', ''),
    '#description' => 'Enter your Convio API user name',
  );
  $form['account']['convio_api_pass'] = array(
    '#type' => 'textfield',
    '#title' => 'API password',
    '#required' => true,
    '#default_value' => variable_get('convio_api_pass', ''),
    '#description' => 'Enter your Convio API password',
  );
  $form['account']['convio_api_api_key'] = array(
    '#type' => 'textfield',
    '#title' => 'API key',
    '#required' => true,
    '#default_value' => variable_get('convio_api_api_key', ''),
    '#description' => 'Enter your Convio API key.',
  );

  return system_settings_form($form);
}
